package com.bonus.canteen.core.marketing.v2.rule.recharge.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel("充值规则出参-钱包明细")
public class RuleRechargeWalletDTO {
   @ApiModelProperty("钱包类型id")
   private Integer walletId;
   @ApiModelProperty("对应钱包交易金额/分")
   private BigDecimal amount;
   @ApiModelProperty("交易类型")
   private Integer tradeType;

   public Integer getWalletId() {
      return this.walletId;
   }

   public BigDecimal getAmount() {
      return this.amount;
   }

   public Integer getTradeType() {
      return this.tradeType;
   }

   public RuleRechargeWalletDTO setWalletId(final Integer walletId) {
      this.walletId = walletId;
      return this;
   }

   public RuleRechargeWalletDTO setAmount(final BigDecimal amount) {
      this.amount = amount;
      return this;
   }

   public RuleRechargeWalletDTO setTradeType(final Integer tradeType) {
      this.tradeType = tradeType;
      return this;
   }

   public RuleRechargeWalletDTO(final Integer walletId, final BigDecimal amount, final Integer tradeType) {
      this.walletId = walletId;
      this.amount = amount;
      this.tradeType = tradeType;
   }

   public RuleRechargeWalletDTO() {
   }
}
